<div class="pagination">

<?PHP
//........................

$swap = "&page=$setpage";
$paging = @ceil ($numrows / $rowxxx[RECORDS]); if ($display > 1) {
$previous = $display - 1;

//........................
?>

<a href="?show=<?php echo $previous; ?><?php echo $swap; ?>&ln=<?php echo $_GET[ln]; ?>"><img src="http://<?php echo "$_SERVER[HTTP_HOST]/webifycore"; ?>/images/previous.png" width="48" height="48" border="0"></a> 

<?PHP }

if ($numrows != $rowxxx[RECORDS]) {
        $first = 1;
        $last = $paging;
        if ($last > $paging ) {
                $first = $paging - ($scroll - 1);
                $last = $paging;
        }

        for ($i = $first;$i <= $last;$i++) {
                if ($display == $i)
                        echo "<b> $i </b>";
                else {

//........................
?>

<a href="?show=<?php echo $i; ?><?php echo $swap; ?>&ln=<?php echo $_GET[ln]; ?>"> 

<?php echo $i; ?>

</a> 

<?PHP 
//........................

                }
        }
}

if ($display < $paging) {
        $next = $display + 1;

//........................
?>

<a href="?show=<?php echo $next; ?><?php echo $swap; ?>&ln=<?php echo $_GET[ln]; ?>"><img src="http://<?php echo "$_SERVER[HTTP_HOST]/webifycore"; ?>/images/next.png" width="48" height="48" border="0"></a> 

<?PHP 
//........................

} 

if (empty($i)) echo '1 '; 

//........................
?>

</div>
